# Function UseAutocompleteResolveMethod

- UseAutocompleteResolveMethod<Value = unknown>(
  method: ProviderToken<
  MethodWithParameters<
  ControlOption<Value, string>,
  OpenApiRemoteMethodParameter<{ value: string }, any>,
  >,
  >,
  config?: UseMethodConfig,
  ): any

  #### Type Parameters

  - Value = unknown

  #### Parameters

  - method: ProviderToken<
    MethodWithParameters<
    ControlOption<Value, string>,
    OpenApiRemoteMethodParameter<{ value: string }, any>,
    >,
    >
  - config: UseMethodConfig = {}

  #### Returns any

  - Defined in packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:62